org.jfree.data.general

## Interface CombinationDataset

All Known Implementing Classes:
  CombinedDataset, SubSeriesDataset

Deprecated.
1.0.13

    public interface CombinationDataset

Interface that describes the new methods that any combined dataset needs to implement. A combined dataset object will combine one or more datasets and expose a sub-set or union of the combined datasets.

### Method Summary

Methods
`int[]` `getMap()` Deprecated. Returns a map or indirect indexing form our series into parent's series.
`SeriesDataset` `getParent()` Deprecated. Returns the parent Dataset of this combination.

### Method Detail

#### getParent

    SeriesDataset getParent()

Deprecated.
Returns the parent Dataset of this combination. If there is more than one parent, or a child is found that is not a combination, then returns `null`.

Returns:
  The parent Dataset of this combination.

#### getMap

    int[] getMap()

Deprecated.
Returns a map or indirect indexing form our series into parent's series.

Returns:
  A map or indirect indexing form our series into parent's series.